% Example AnalyseTool script using SO

% Load OpenSim Libs
import org.opensim.modeling.*

%% Define file names and paths
modelFileName = 'subject01.osim';
forceSetFileName = 'gait10dof18musc_Strong_actuators.xml';
externalLoadsFileName = 'subject01_walk_grf.xml';
coordinatesFileName = 'subject01_walk_IK.mot';
resultsDir = 'SOResults';
sTime = 0;
fTime = 2.5;
cutoff = 6;
setup_file_name = 'testing_analysis_tool.xml';

%% Build SO analysis
so = StaticOptimization();
so.setOn(true);
so.setStartTime(sTime);
so.setEndTime(fTime);

%% Instantiate an AnalyzeTool and set the properties
at = AnalyzeTool();
at.setModel(Model(modelFileName));
at.setModelFilename(modelFileName)
at.setForceSetFiles(ArrayStr(forceSetFileName));
at.setResultsDir(resultsDir);
at.setInitialTime(sTime);
at.setFinalTime(fTime);
at.setSolveForEquilibrium(false);
at.setExternalLoadsFileName(externalLoadsFileName);
at.setCoordinatesFileName(coordinatesFileName);
at.setLowpassCutoffFrequency(cutoff);
% Add SO to the tool
at.getAnalysisSet().cloneAndAppend(so)

%% Print the tool to file
at.print(setup_file_name);
% We have to re instanstiate so that the tool can build a states storage
% internally
at = AnalyzeTool(setup_file_name);

%% Run the tool
at.run();



